You are not logged in.

#2651 2010-11-20 14:42:40

v6ak
Member
Registered: 2010-07-19
Posts: 30
Website

Re: The AMD/ATI Bar & Grill

If I wanted to downgrade it, could anyone provide me the old PKGBUILD (10.9-4), which works now?


Archlinux 32b and 64b
Login manager: SLIM, Window manager: Openbox (plain)
HP ProBook 4710s

Offline

#2652 2010-11-20 15:28:40

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

v6ak wrote:

If I wanted to downgrade it, could anyone provide me the old PKGBUILD (10.9-4), which works now?

Unfortunately i lost it when my hdd get broken hmm.

Although catalyst 10.9 works only with xorg-server < 1.9, so you'll have to downgrade also those xserv packages.

There are a repositories [xorg18] and [catalyst-10.9] described here:
https://wiki.archlinux.org/index.php/AT … positories

But i dunno (im almost sure it's not) if this catalyst 10.9 supports newer 2.6.36 kernel which should land in [core] in near future.

So... i guess the easiest way is to modify catalyst-generator 10.9  with new patch (or patches) from catalyst-generator 10.11.

If you are still interested in downgrade and you are not sure how to do this - give me a note, i will try to help you.

Offline

#2653 2010-11-20 19:45:58

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: The AMD/ATI Bar & Grill

Vi0L0 > it seems that you removed the http://catalyst.apocalypsus.net/repo/ca … les.tar.gz file. Could you please upload it again ?
Thanks wink

(https://bbs.archlinux.org/viewtopic.php … 02#p831102)


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#2654 2010-11-21 12:09:55

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

LeCrayonVert wrote:

Vi0L0 > it seems that you removed the http://catalyst.apocalypsus.net/repo/ca … les.tar.gz file. Could you please upload it again ?
Thanks wink

Indeed, i removed it cuz with my hdd breakage i lost files generator, now i got it again and should be ok.

Offline

#2655 2010-11-22 08:34:01

agapito
Member
From: Spain
Registered: 2008-11-13
Posts: 495

Re: The AMD/ATI Bar & Grill

Cdh wrote:

Can anyone try with 64 bit and catalyst 10.11 half life 2?

It works fine for me.


Excuse my poor English.

Offline

#2656 2010-11-24 16:43:25

v6ak
Member
Registered: 2010-07-19
Posts: 30
Website

Re: The AMD/ATI Bar & Grill

THX for info. I don't want to downgrade. I want to be sure that I can downgrade if upgrade fails. I know that catalyst-test didn't work for me so I've downgraded it (including xorg etc. - I have already known this issue). So I'll probably try it on 32b installation first.


Archlinux 32b and 64b
Login manager: SLIM, Window manager: Openbox (plain)
HP ProBook 4710s

Offline

#2657 2010-11-25 08:50:45

DarksideEE7
Member
From: Arkansas, United States
Registered: 2009-06-06
Posts: 356

Re: The AMD/ATI Bar & Grill

Anyone used Catalyst on this integrated graphics chipset:
ATI Radeon HD 4250 build-in 128MB DDR3 1333 SidePort Memory

I installed Catalyst and it shows the correct native res in KDE's display settings, however the display is scaled down a bit.  This is on the same monitor that I run my other Arch rig with Catalyst installed.

Offline

#2658 2010-11-25 12:24:04

Vermillion
Member
From: Switzerland
Registered: 2010-08-13
Posts: 43

Re: The AMD/ATI Bar & Grill

Cdh wrote:

Can anyone try with 64 bit and catalyst 10.11 half life 2?

For me it works, too.

Can you post your hardware?

Offline

#2659 2010-11-25 21:16:00

boast
Member
Registered: 2010-09-28
Posts: 219

Re: The AMD/ATI Bar & Grill

Just installed catalyst, and I am not sure why counter strike source isn't working.

cstrike.th.png


Asus M4A785TD-V ;; Phenom II X4 @ 3.9GHz ;; Ripjaws 12GB DDR3-1600 ;; 128GB Samsung 830 ;; MSI GTX460 v2 w/ blob ;; Arch Linux + KDE 4.x

Offline

#2660 2010-11-26 07:33:50

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

Athlon II 240, HD 4670, 4 gb Ram. The beginning of HL2 worked good, the trouble started some time after the point where you have to cross the tracks with jumping over the train that conveniently stops in the right place. (The place, where you nearly can't shoot the combine because the crosshair is literally invisible on the background)... After that point I have tried several times and it crashed several times after a very short time. It seems to happen when you look in a particular angel at a particular scene...


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#2661 2010-11-26 07:57:48

DarksideEE7
Member
From: Arkansas, United States
Registered: 2009-06-06
Posts: 356

Re: The AMD/ATI Bar & Grill

I recently installed Arch on the same system I've been running since I got a new Revodrive, so I'm trying to get X working with fglrx (I had no problems in the past). 

I ran:

sudo aticonfig --initial --adapter=all

It puts Device sections for both GPUs, but doesn't put one for the HDMI audio (and in the past X hasn't required that).  However now when I try to startx I get this message:

(WW) fglrx:  No matching Device section for instance (BusID PCI:0@3:0:1)

Is there a way to blacklist the hdmi audio device?  I don't remember having to do that in the past....

Also I can startx with the basic radeon kernel module.

Last edited by DarksideEE7 (2010-11-26 07:58:16)

Offline

#2662 2010-11-26 09:52:28

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 672

Re: The AMD/ATI Bar & Grill

I recently updated kernel to 2.6.36 and I noticed a big regression in powersave on my laptop using catalyst 10.11 from [catalyst]. I didn't recompile the driver nor run aticonfig --initial nor delete the amd persistent  configuration database (I never did it before and never founnd problems). I don't really know what might be that causes such a big consumption, I guessed it may be a problem with catalyst  and  I'd like to know if anyone is facing the same issue.

Offline

#2663 2010-11-26 09:56:38

ChemBro
Member
Registered: 2008-10-22
Posts: 674

Re: The AMD/ATI Bar & Grill

Well, the Catalyst driver in [catalyst] wasn't updated for Kernel 2.6.36, wasn't it?

Offline

#2664 2010-11-26 09:58:00

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 672

Re: The AMD/ATI Bar & Grill

ChemBro wrote:

Well, the Catalyst driver in [catalyst] wasn't updated for Kernel 2.6.36, wasn't it?

I don't think so since I installed it before 2.6.36 was released on official Arch repo. BTW, 10.11 is now vanished from [catalyst]...

Offline

#2665 2010-11-26 10:29:16

soundman
Member
From: Istanbul, Turkey
Registered: 2010-06-05
Posts: 17

Re: The AMD/ATI Bar & Grill

@snack, try this;

pacman -Rd catalyst
pacman -S catalyst-hook

and reboot.

Edit: Add code tag.

Last edited by soundman (2010-11-26 10:33:11)

Offline

#2666 2010-11-26 10:31:53

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 672

Re: The AMD/ATI Bar & Grill

@soundman: I thought  about it, but it will downgrade catalyst to 10.10. For me it could be fine, I'd just like to know if there are some problems with 10.11 and why it has been removed from [catalyst] after a few days.

Offline

#2667 2010-11-26 13:59:30

McFlow
Member
Registered: 2010-04-17
Posts: 58

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
McFlow wrote:

For now I have a stable system I can use but still I want to figure out why the new catalyst drivers make Xserver just segfaulting!

Did you check xf86-video-ati to be sure it's catalyst's fault?

First of all, sorry for that big delay of my response. I needed my notebook quite urgently and could not afford messing around with drivers;)
xf86-video-ati runs fine. Though there is no stuff like "glxinfo" or "glxgears". I am not sure if that is supposed to be like this.



Also: did you check is 10.9 working on xserver 1.7?

No matter the combination. 10.5 on xserver 1.7 is the latest version that will run on my system. Starting from 10.6 xserver will just crash.  I just tried xorg from repo and catalyst from aur again, no luck.

Another question: which catalyst-10.5 repo were you using? this one with xserv 1.7, or this one with xserv 1.8?

It's a self-created catalyst 10.5 package (because i had to modify kernel dependencies -.-) and xorg-17 repo. But I can't use stuff as wine because of 32 bit stuff;)
Edit:
I could curse me for trying. Now I switched back to 10.5 and xorg 1.7 and it gives me fglrx module not found all the time -.-

Last edited by McFlow (2010-11-26 14:23:13)

Offline

#2668 2010-11-26 15:52:34

Radioactiveman
Member
From: Germany
Registered: 2010-05-13
Posts: 376

Re: The AMD/ATI Bar & Grill

McFlow wrote:

Though there is no stuff like "glxinfo" or "glxgears". I am not sure if that is supposed to be like this.

pacman -S mesa-demos wink

Offline

#2669 2010-11-26 16:18:47

McFlow
Member
Registered: 2010-04-17
Posts: 58

Re: The AMD/ATI Bar & Grill

Radioactiveman wrote:
McFlow wrote:

Though there is no stuff like "glxinfo" or "glxgears". I am not sure if that is supposed to be like this.

pacman -S mesa-demos wink

Thanks.
But to be honest the open ati driver does not really help me due to it's rather bad power management.

I can't get 10.5 to work again. My old package has kernel26>2.6.36 as dependency -.-
If I want to rebuild it complains that linux/autoconf.h is missing -.-
I never got that message before.

Still I don't understand why catalyst drivers don't work at all if newer than 10.5.... Well, now even 10.5 does not work. What a mess.

Last edited by McFlow (2010-11-26 16:19:10)

Offline

#2670 2010-11-26 20:16:50

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

Cdh wrote:

It seems to happen when you look in a particular angel at a particular scene...

It crashes everytime here, if I look at this direction:
http://dl.dropbox.com/u/13721560/ffcast.ogv
(sorry low quality but you see what I mean). No errormessages but it completely freezes. I got the error messages when I played on fake-fullscreen and hat to ctrl+alt+f1 and back to access the desktop again.

edit:
How can you use this shit? I tried to play warcraft3... First the game just froze and locked the complete X so I had to ssh into the pc and kill it to access the desktop again. Then I was able to play one game (!!) but then it froze again. I was lucky this time because it didn't freeze X too.
wineserver[22729]: segfault at ffffffffffffffff ip ffffffffffffffff sp 00007fff469252f8 error 14

Free driver is much slower but it never, NEVER did this even when I was using xf86-video-ati-git (!!), mesa-git (!!) for WEEKS. I don't consider a driver usable if I am doing more time fixing it than using the features it supports better than the free drivers.

edit2: I thought it may be BFS from the -pf kernel I was using. Nope, still happens with standard kernel:
I can play very smoothly, but sometimes when first looking at water for example it stutters shortly. Eventually one of this stutters will stay and... Well: http://dl.dropbox.com/u/13721560/hl2-2.mkv

Last edited by Cdh (2010-11-26 23:26:57)


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#2671 2010-11-27 00:27:22

dkxls
Member
From: Helsinki, Finland
Registered: 2010-06-27
Posts: 4

Re: The AMD/ATI Bar & Grill

@Vi0L0 Would it be possible to build the catalyst package for the repo with "depends=('kernel26=<version_in_core>' ...)" instead of "depends=('kernel26>=2.6.29' 'kernel26<2.6.37' ...)"?

We now have the unfortunate situation that kernel in [core] is updated and the catalyst package in [catalyst]-repo not yet. This leads to a crashing system after reboot, since pacman doesn't realize that catalyst provides the wrong kernel module (still for 2.6.35 where 2.6.36 is installed). I'm aware of the fact that the PKGBUILD in AUR is still OK with "depends=('kernel26>=2.6.29' 'kernel26<2.6.37' ...)", it's just the prebuild package in the repo that would need this fix.

-Armin


Edit: I right now saw u updated the package, kind of quick. :-) But still for future versions, the fix of the catalyst package in the repo would be nice.

Last edited by dkxls (2010-11-27 00:29:49)

Offline

#2672 2010-11-27 02:29:56

Berticus
Member
Registered: 2008-06-11
Posts: 731

Re: The AMD/ATI Bar & Grill

I'm having trouble getting the fglrx drivers to work.

$ lspci
01:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD 5600 Series]

This is my xorg.conf after running

$ sudo aticonfig --initial
Section "ServerLayout"
    Identifier "aticonfig Layout"
    Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
    Load "dri"
    Load "dri2"
    Load "glx"
    Load "dbe"
    Load "record"
    Load "extmod"
EndSection

Section "ServerFlags"
    Option "DontZap" "false"
EndSection

Section "Monitor"
    Identifier "aticonfig-Monitor[0]-0"
    Option "VendorName" "ATI Proprietary Driver"
    Option "ModelName" "Generic Autodetecting Monitor"
    Option "DPMS" "true"
EndSection

Section "Device"
    Identifier "aticonfig-Device[0]-0"
    Driver "fglrx"
    BusID "PCI:1:0:0"
EndSection

Section "Screen"
    Identifier "aticonfig-Screen[0]-0"
    Device "aticonfig-Device[0]-0"
    Monitor "aticonfig-Monitor[0]-0"
    DefaultDepth 24
    SubSection "Display"
        Viewport 0 0
        Depth 24
    EndSubSection
EndSection

I've added fglrx to my MODULES array in rc.conf and rebooted. This is the error I get when I startx:

(WW) fglrx: No matching Device section for instance (BusID PCI:0@1:0:1) found
FATAL: Module fglrx not found.
(EE) fglrx(0): ACPI: DRM connection failed
(EE) fglrx(0): ACPI: DRM connection failed
(EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized.
(EE) fglrx(0): XMM failed to open CMMQS connection.
(EE) fglrx(0): XMM failed to initialize
[glesx] __glESXExtensionInit: No GL ES2.0 capable screen found!

It then includes a backtrace, which I'd rather not type out...

$ pacman -Q kernel26
kernel26 2.6.35.8-1
$ pacman -Q xorg-server
xorg-server 1.9.2-1
$ pacman -Q catalyst
catalyst 10.11-2
$ pacman -Q catalyst-utils
catalyst-utils 10.11-1

---edit---
Got it to work.

Last edited by Berticus (2010-11-27 04:04:56)

Offline

#2673 2010-11-27 08:49:04

McFlow
Member
Registered: 2010-04-17
Posts: 58

Re: The AMD/ATI Bar & Grill

Berticus wrote:

I---edit---
Got it to work.

Could you please tell me how?
Somehow I managed to prevent the Segmentation fault and get the same errors that you posted above.

(EE) fglrx(0): ACPI: DRM connection failed
(EE) fglrx(0): ACPI: DRM connection failed
(EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized.
(EE) fglrx(0): XMM failed to open CMMQS connection.
(EE) fglrx(0): XMM failed to initialize

Thanks!:)

Offline

#2674 2010-11-27 10:13:54

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

dkxls wrote:

@Vi0L0 Would it be possible to build the catalyst package for the repo with "depends=('kernel26=<version_in_core>' ...)" instead of "depends=('kernel26>=2.6.29' 'kernel26<2.6.37' ...)"?

You mean go back to old good times?
kk, will do with next update.

@Cdh:
right now i can only test call of duty 4 - it works fine, i will try to find hl2 somewhere...
anyway - its always good to look at winehq tips: http://appdb.winehq.org/objectManager.p … n&iId=2890

edit: strange thing... fresh cod black ops works even better than good oldie cod 4... i thought that my pc will blow away after starting black ops under linux, but no - its almost fine on highest details (hd4850)

off-topic: i think that Scorsese's "Shutter Island" is better than Nolan's "Inception" tongue

Last edited by Vi0L0 (2010-11-27 10:33:20)

Offline

#2675 2010-11-27 10:49:57

McFlow
Member
Registered: 2010-04-17
Posts: 58

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

off-topic: i think that Scorsese's "Shutter Island" is better than Nolan's "Inception" tongue

Me too.

Good news here. The people at the phoronix forum gave me some hints and now I am up to date on my notebook too big_smile

As the approach without building a package first had no success, I gave another try to using all recent packages.
Now installed packages are:
catalyst/catalyst 10.11-2
catalyst/catalyst-utils 10.11-1
catalyst/lib32-catalyst-utils 10.11-1
catalyst/xvba-video 0.7.6-1
core/kernel26 2.6.36.1-3
extra/xorg-server 1.9.2-2

The differneces to my previous tries were:
I chose runlevel 3 (before I just killed xserver), i completely removed everything related to ATI (before I missed /etc/ati

And of course I thank you too as you tried to help me a lot Vi0l0 smile

Edit: Still I am a bit confused which is the "best" choice to rebuild the module after a kernel update?

Last edited by McFlow (2010-11-27 10:53:30)

Offline

Board footer

Powered by FluxBB